Subject: [alpine-devel] [PATCH] testing/nikto: new aport

From: Fabio Aires <[email-masked]>
Date: Mon, 17 Nov 2014 19:38:46 +0000

---
 testing/nikto/APKBUILD        | 49 ++++++++++++++++++++++++++
 testing/nikto/nikto.conf.base | 82 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 131 insertions(+)
 create mode 100644 testing/nikto/APKBUILD
 create mode 100644 testing/nikto/nikto.conf.base

diff --git a/testing/nikto/APKBUILD b/testing/nikto/APKBUILD
new file mode 100644
index 0000000..d0baff1
--- /dev/null
+++ b/testing/nikto/APKBUILD
@@ -0,0 +1,49 @@
+# Contributor: Fabio Aires <[email-masked]>
+# Maintainer: Fabio Aires <[email-masked]>
+pkgname=nikto
+pkgver=2.1.5
+pkgrel=0
+pkgdesc="A web application security scanner"
+url="https://www.cirt.net/Nikto2"
+arch="noarch"
+license="GPL"
+depends="perl nmap openssl"
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="https://www.cirt.net/$pkgname/$pkgname-$pkgver.tar.gz
+	nikto.conf.base"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+}
+
+package() {
+	cd "$_builddir"
+	mkdir -p "$pkgdir"/etc/nikto "$pkgdir"/usr/bin
+	cp "$srcdir"/nikto.conf.base "$pkgdir"/etc/nikto.conf
+	cp -r databases "$pkgdir"/etc/nikto
+	cp -r templates "$pkgdir"/etc/nikto
+	cp -r plugins "$pkgdir"/etc/nikto
+	cp -r docs "$pkgdir"/etc/nikto
+	install -m 755 nikto.pl  "$pkgdir"/usr/bin 
+}
+
+md5sums="efcc98a918becb77471ee9a5df0a7b1e  nikto-2.1.5.tar.gz
+39d5e2e923344a3624e94d2b17408988  nikto.conf.base"
+sha256sums="0e672a6a46bf2abde419a0e8ea846696d7f32e99ad18a6b405736ee6af07509f  nikto-2.1.5.tar.gz
+f24b1e9007156a1700b32daa763f104423b4dde3a42bd74bc2deef6244953374  nikto.conf.base"
+sha512sums="b6a1e7277a501055a4693d2e7179801bda0566350f3718cd169c3baf61003a936b14e9a4ba59f3597a83be8ef509953fdae546ec57e487a33b2b3efbabe84b67  nikto-2.1.5.tar.gz
+d6e349bd20428e45d6ef49db91630e1c6d65d4cf2107a1f4c58e697d8fceeb428fb90c247fbbf8a8ad6f9d27672790d07040079b94c2480dd77dc445fccd6f69  nikto.conf.base"
diff --git a/testing/nikto/nikto.conf.base b/testing/nikto/nikto.conf.base
new file mode 100644
index 0000000..3f17dfe
--- /dev/null
+++ b/testing/nikto/nikto.conf.base
@@ -0,0 +1,82 @@
+#########################################################################################################
+# CONFIG STUFF
+# $Id: config.txt 94 2009-01-21 22:47:25Z deity $
+#########################################################################################################
+
+# default command line options, can't be an option that requires a value.  used for ALL runs.
+# CLIOPTS=-g -a
+
+# ports never to scan
+SKIPPORTS=21 111
+
+# User-Agent variables:
+ # @VERSION 	- Nikto version
+ # @TESTID 	- Test identifier
+ # @EVASIONS 	- List of active evasions
+USERAGENT=Mozilla/5.00 (Nikto/@VERSION) (Evasions:@EVASIONS) (Test:@TESTID)
+
+# RFI URL. This remote file should return a phpinfo call, for example: <?php phpinfo(); ?>
+# You may use the one below, if you like.
+RFIURL=http://cirt.net/rfiinc.txt?
+
+# IDs never to alert on (Note: this only works for IDs loaded from db_tests)
+#SKIPIDS=
+
+# The DTD
+NIKTODTD=docs/nikto.dtd
+
+# the default HTTP version to try... can/will be changed as necessary
+DEFAULTHTTPVER=1.0
+
+# Nikto can submit updated version strings to CIRT.net. It won't do this w/o permission. You should
+# send updates because it makes the data better for everyone ;)  *NO* server specific information
+# such as IP or name is sent, just the relevant version information.
+# UPDATES=yes  	- ask before each submission if it should send
+# UPDATES=no   	- don't ask, don't send
+# UPDATES=auto 	- automatically attempt submission *without prompting*
+UPDATES=yes
+
+# Warning if MAX_WARN OK or MOVED responses are retrieved
+MAX_WARN=20
+
+# Prompt... if set to 'no' you'll never be asked for anything. Good for automation.
+#PROMPTS=no
+
+# cirt.net : set the IP so that updates can work without name resolution -- just in case
+CIRT=174.142.17.165
+
+# Proxy settings -- still must be enabled by -useproxy
+#PROXYHOST=127.0.0.1
+#PROXYPORT=8080
+#PROXYUSER=proxyuserid
+#PROXYPASS=proxypassword
+
+# Cookies: send cookies with all requests
+# Multiple can be set by separating with a semi-colon, e.g.:
+# "cookie1"="cookie value";"cookie2"="cookie val" 
+#STATIC-COOKIE=
+
+# The below allows you to vary which HTTP methods are used to check whether an HTTP(s) server 
+# is running. Some web servers, such as the autopsy web server do not implement the HEAD method
+CHECKMETHODS=HEAD GET
+
+# If you want to specify the location of any of the files, specify them here
+EXECDIR=/etc/nikto				# Location of Nikto
+PLUGINDIR=/etc/nikto/plugins			# Location of plugin dir
+DBDIR=/etc/nikto/databases			# Location of plugin dir
+TEMPLATEDIR=/etc/nikto/templates		# Location of tempmlate dir
+DOCDIR=/etc/nikto/docs			# Location of docs dir
+
+# Default plugin macros
+@@MUTATE=dictionary;subdomain
+@@DEFAULT=@@ALL;-@@MUTATE;tests(report:500)
+
+#Choose SSL libs 
+# Options: 
+# SSLeay        - use Net::SSLeay 
+# SSL           - use Net::SSL 
+# auto          - automatically choose whats available 
+#                 (SSLeay wins if both are available) 
+LW_SSL_ENGINE=auto
+
+
-- 
1.8.2.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---